node('master'){
  timestamps{
     tool name: 'maven35', type: 'maven'
     def mvnHome = tool 'maven35'
     maven: 'maven35'
     sh "${mvnHome}/bin/mvn --version"
     sh 'java -version'
     stage('Checkout'){
        checkout scm
        echo "Branch is: ${env.BRANCH_NAME}"
        sh "ls -alh"
     }
     stage('compile'){
        sh "${mvnHome}/bin/mvn compile"
     }
     stage('test'){
	try{
		sh "${mvnHome}/bin/mvn test"
	}
	catch (Exception e){
	}
	finally{
		junit 'target/surefire-reports/*.xml'
	}
     }
  }
}
